
%global meadversion 2.0.52
%global namedversion 2.0.52.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00001

%bcond_without mead
%bcond_with javadoc

%{?scl:%scl_package netty-tcnative}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.52.Final-redhat-00001

Name:      %{?scl_prefix}netty-tcnative
Version:   %{meadversion}
Release:   %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:     0
Summary:   A Mavenized fork of Tomcat Native which incorporates various patches
License:   ASL 2.0
Group:     Development/Java

%if %with mead
Source100: netty-tcnative-parent-2.0.52.Final-redhat-00001-project-sources.tar.gz
Source102: netty-tcnative-2.0.52.Final-redhat-00001-linux-x86_64-fedora.jar
Source103: netty-tcnative-classes-2.0.52.Final-redhat-00001-sources.jar
Source104: netty-tcnative-parent-2.0.52.Final-redhat-00001.pom
Source105: netty-tcnative-classes-2.0.52.Final-redhat-00001.jar
Source106: netty-tcnative-2.0.52.Final-redhat-00001.pom
Source107: netty-tcnative-classes-2.0.52.Final-redhat-00001-javadoc.jar
Source108: netty-tcnative-classes-2.0.52.Final-redhat-00001.pom
Source109: netty-tcnative-2.0.52.Final-redhat-00001.jar
%endif

URL:       https://github.com/netty/netty-tcnative/

BuildArch: noarch
BuildRoot: %{_tmppath}/netty-tcnative-%{version}-%{release}-root

%description
A Mavenized fork of Tomcat Native which incorporates various patches.

%if %with javadoc
%package javadoc
Summary:   Javadoc for netty-tcnative
Group:     Development/Documentation

BuildRequires:  unzip

%description javadoc
API documentation for netty-tcnative.
%endif

%prep
%setup -q -n netty-tcnative-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/netty-tcnative-classes-%{namedversion}.jar %{buildroot}%{_javadir}/netty-tcnative-classes-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/netty-tcnative-classes-%{namedversion}-sources.jar %{buildroot}%{_javadir}/netty-tcnative-classes-%{namedversion}-sources.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/netty-tcnative-classes-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/netty-tcnative-classes-%{namedversion}-javadoc.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)


%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/netty-tcnative-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/netty-tcnative-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/netty-tcnative-%{namedversion} -x META-INF/\*
%{__ln_s} netty-tcnative-%{namedversion} %{buildroot}%{_javadocdir}/netty-tcnative
%endif

%clean
%{__rm} -rf %{buildroot}


%files -n %{?scl_prefix}netty-tcnative
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}*/*.jar

%if %with javadoc
%files javadoc
%{_javadocdir}/netty-tcnative-%{mavenversion}
%{_javadocdir}/netty-tcnative
%endif

%changelog
* Tue Sep 13 2022 cpaas-ops <cpaas-ops@redhat.com> - 2.0.52-3.Final_redhat_00001.1
- Built by CPaaS

* Tue Aug 09 2022 Permaine Cheung <pcheung@redhat.com> - 2.0.52-2.Final_redhat_00002.1
- 2.0.52.Final-redhat-00002

* Mon Jun 13 2022 Harsha Cherukuri <hcheruku@redhat.com> - 2.0.52-1.Final_redhat_00001.1
- Building new version.

* Mon May 02 2022 Permaine Cheung <pcheung@redhat.com> - 2.0.48-1.Final_redhat_00001.1
- 2.0.48.Final-redhat-00001
